<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SE Code of Ethics</title>
</head>
<body>
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em>
		<hr>
		<h1>
			Software Engineering Code of Ethics and Professional Practice
		</h1>
		<h3>IEEE-CS/ACM Joint Taskforce on Software Engineering Ethics and Professional Practice</h3>
		<hr>
	</p>
	<p><strong>Keywords:</strong> code of ethics, professional responsibilit, software engineering</p>
	<p><h4>PREAMBLE</h4></p>
	<p>
		The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineeing professionals. Without aspirations and the details form a cohesive code. 
		<br>
		<br>
		Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenancene of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:
	</p>
	<p><h4>PRINCIPLES</h4></p>
	<p>
		<ol type="1">
			<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
			<li><em>Client and Employer</em>. Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
			<li><em>Product</em>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
			<li><em>Judgment</em>. Software engineers shall maintain integrity and independence in their professional judgement.</li>
			<li><em>Management</em>. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
			<li><em>Profession</em>. Software engineers shall advance the integrity and reputation of theprofession consistent with the public interest.</li>
			<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues..</li>
			<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
		</ol>
	</p>

</body>
</html>